.ic-works-div {
    opacity: 0;
    display: grid;
    gap: 30px;
    overflow: visible;
}

.ic-works-thumbnail-div {
    aspect-ratio: 1;
    background-color: rgb(204, 15, 15);
    object-fit: cover;
    overflow: hidden;
    transition: scale 0.25s ease-out;
}

.ic-works-thumbnail-div:hover {
    scale: 1.05 !important;
}

.ic-works-thumbnail-image {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    background-image: var(--image-url);
    background-size: cover;
    background-position: center;
    box-sizing: border-box;
    transition: all 0.25s ease-in-out;
}

.ic-works-thumbnail-div:hover > .ic-works-thumbnail-image {
    filter: grayscale(1) contrast(300%);
    mix-blend-mode: multiply;
    transform: scale(1.1);
}

.ic-works-thumbnail {
    width: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.7));
}

.ic-works-thumbnail::after {
    display: none;
    height: 0px;
    width: 0px;
    content: none;
}

.ic-works-thumbnail-title {
    position: absolute;
    bottom: 0;
    margin: 20px 20px;
    color: #ffffff;
}

.ic-works-thumbnail-title h3 {
    
}

.ic-works-thumbnail-title p {
    margin: 0px;
    font-size: 1.2rem;
}

@media screen and (min-width: 767px) {
    .ic-works-thumbnail-title {
        margin: 8% 5%;
    }

    .ic-works-thumbnail-title h3 {
        font-size: 4vw;
    }

    .ic-works-thumbnail-title p {
        font-size: 2.5vw;
    }
}

@media screen and (min-width: 1024px) {
    .ic-works-thumbnail-title {
        margin: 10% 6%;
    }

    .ic-works-thumbnail-title h3 {
        font-size: 3vw;
    }

    .ic-works-thumbnail-title p {
        font-size: 2vw;
    }
}

.ic-works-empty-div {
    background: none;
    position: relative;
    aspect-ratio: 1;
    transition: transform 0.25s ease-out;
}

.ic-works-empty-div:hover {
    scale: none !important;
}

.ic-works-empty {
    width: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    overflow: visible;
}

.ic-works-empty::after {
    display: none;
    height: 0px;
    width: 0px;
    content: none;
}

.ic-works-empty h1 {
    color: #000000;
    position: absolute;
    margin: 10px 20px;
    bottom: 0;
    font-size: 15vw;
}

@media screen and (min-width: 767px) {
    .ic-works-div {
        grid-template-columns: 1fr 1fr;
        gap: 3vw;
    }

    .ic-works-empty h1 {
        font-size: 8vw;
    }
}

@media screen and (min-width: 1024px) {
    .ic-works-div {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 2vw;
    }

    .ic-works-empty h1 {
        font-size: 5.5vw;
    }
}

.ic-work-header-div {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    height: 100vh;
    width: 100%;
    background-image: var(--image-url);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.ic-work-header-div p {
    margin: 0px;
}

.ic-work-header-gradient {
    display: none;
    height: 80%;
    width: 100%;
}

.ic-work-header-title-div {
    position: absolute;
    bottom: 0;
    width: 100%;
    max-width: 1400px;
    margin-bottom: 0vh;
    opacity: 0;
}

.ic-work-details-div {
    display: flex;
    flex-direction: column;
    gap: 4vh;
    margin-top: 6vh;
}

.ic-work-detail {
    display: flex;
    flex: 1;
    flex-direction: column;
}

@media screen and (min-width: 767px) {
    .ic-work-details-div {
        flex-direction: row;
    }
}

.ic-work-content-div {
    display: flex;
    flex-direction: column;
}

.ic-container-work {
    padding-top: 3rem;
    padding-bottom: 6rem;
}

@media screen and (min-width: 767px) {
    .ic-container-work {
        padding-top: 6rem;
        padding-bottom: 6rem;
    }
}

@media screen and (min-width: 1024px) {
    .ic-container-work {
        max-width: 1800px;
        width: 100%;
        align-self: center;
        padding-top: 8rem;
        padding-bottom: 8rem;
    }
}

.alignleft {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-self: flex-start;
}

.aligncenter {
    display: flex;
    flex-direction: column;
    align-items: center;
    align-self: center;
}

.alignright {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    align-self:flex-end;
}

p:has(> .alignleft, .aligncenter, .alignright) {
    display: flex;
    flex-direction: column;
}

p:has(> .alignleft) {
    align-self: flex-start;
}

p:has(> .aligncenter) {
    align-self: center;
}

p:has(> .alignright) {
    align-self: flex-end;
}

.wp-caption {
    width: revert !important;
}

.wp-caption-text {
    font-size: 1.5rem;
    font-family: 'Guton';
    margin-top: 0px;
}

.alignleft .wp-caption-text {
    text-align: start;
}

.aligncenter .wp-caption-text {
    text-align: center;
}

.alignright .wp-caption-text {
    text-align: right;
}

.ic-work-content-div img[class*="wp-image-"] {
    width: 100%;
    height: revert;
    box-shadow: 0.75rem 0.75rem 0 0 #000;
    transition: box-shadow 0.1s ease-in-out;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.ic-work-content-div img[class*="wp-image-"]:hover {
    box-shadow: 0 0 0 0 #000;
}

.ic-work-content-div p:has(img[class*="wp-image-"]) {
    width: revert !important;
}

.ic-work-content-div .wp-video {
    align-self: center;
}

.ic-work-content-div .elementor-widget-video {
    box-shadow: 0.75rem 0.75rem 0 0 #000;
    transition: box-shadow 0.1s ease-in-out;
    margin-top: 1rem;
    margin-bottom: 1rem;
    margin-block-end: 1rem !important;
}

.ic-work-content-div .elementor-widget-video:hover {
    box-shadow: 0 0 0 0 #000;
}

@media screen and (min-width: 1024px) {
    .ic-work-content-div img[class*="wp-image-"] {
        margin-top: 3rem;
        margin-bottom: 3rem;
    }

    .ic-work-content-div .elementor-widget-video {
        margin-top: 3rem;
        margin-bottom: 3rem;
        margin-block-end: 3rem !important;
    }
}

.ic-work-cta .ic-footer-cta {
    background-color: #000;
}

.ic-work-cta .ic-footer-cta-bubble {
    background-color: #fff;
}

.ic-work-cta .ic-footer-cta-bubble p {
    color: #000;
}
